Set preference toggle to switch to new project listing layout
This should have the following:

Preference toggle, with the default set to false (so the old layout shows for everyone)
Copy of the WebIDE UI tests with the preference flag set to true
